<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output indent="yes" encoding="koi8-r"/>
<xsl:template match="/">
  <xsl:element name="html">
    <xsl:element name="head">
      <xsl:element name="title">test</xsl:element>
    </xsl:element>

Search Time: <xsl:value-of select="mnogosearch/time"/><br/>Search results: <small><xsl:value-of select="mnogosearch/wordinfo"/></small><hr/>
Displaying documents <xsl:value-of select="mnogosearch/first"/>-<xsl:value-of select="mnogosearch/last"/> of total <b><xsl:value-of select="mnogosearch/found"/></b> found.
<xsl:for-each select="mnogosearch/res">
<dl><dt><b><xsl:apply-templates select="order"/>.</b>
<a href="{url}" target="_blank"><b><xsl:apply-templates select="title"/></b></a>
[<b><xsl:apply-templates select="content"/></b>]<dd>
<xsl:variable name="desc" select="desc"/>
<xsl:choose>
<xsl:when test="$desc!=''"><xsl:apply-templates select="desc"/></xsl:when>
<xsl:otherwise><xsl:apply-templates select="text"/></xsl:otherwise>
</xsl:choose>...<br/><ul><li/>
<a href="{url}" target="_blank"><xsl:apply-templates select="url"/></a>
(<xsl:apply-templates select="content"/>) <xsl:apply-templates select="modified"/>, <xsl:apply-templates select="size"/> bytes</ul></dd></dt></dl>
      </xsl:for-each>

  </xsl:element>
</xsl:template>

<xsl:template match="hlight">
<font color="red"><b><xsl:apply-templates /></b></font>
</xsl:template>

</xsl:stylesheet>
